.\" SPDX-License-Identifier: BSD-2-Clause

.\" Copyright (c) 2022 Alessio Chiapperini

.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.

.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.

.Dd April 4, 2022
.Dt RM 1
.Os
.Sh NAME
.Nm rm
.Nd backups file.
.Sh SYNOPSIS
.Nm
.Op Fl \&fhi
.Ar
.Sh DESCRIPTION
The
.Nm
utility attempts to backup the non-directory type files specified on the command
line.
.Pp
The backed-up file will have the same name as the original file, but with
the added .bak extension, however it won't have the same permissions, 644 will
be used instead. If the backed-up file already exists
.Nm
will exit with 1 as exit status.
.Pp
The options are as follows:
.Bl -tag -width indent
.It Fl f
Attempt to backup files without prompting for confirmation. If the file does not
exist, do not display a diagnostic message or modify the exit status to reflect
an error. The
.Fl f
option overrides any previous
.Fl i
options.
.It Fl h
Print usage information and exit.
.It Fl i
Request confirmation (on the standard error output) before attempting to backup
up each file. The
.Fl i
option overrides any previous
.Fl f
options.
.El
.Sh "EXIT STATUS"
The
.Nm
utility exits 0 on success, and 1 if an error occurs.
.Sh EXAMPLES
Backup the file named
.Ar foo
and ask for confirmation:
.Dl $ rm -i foo
.Pp
Any of these commands will backup the file
.Ar -f :
.Dl $ rm -- -f
.Dl $ rm ./-f
.Sh AUTHOR
.An Alessio Chiapperini Aq Mt alessio.chiapperini@\:nullbuffer.com 

